#
# spec file for package python-zope.exceptions
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-zope.exceptions
Version:        4.0.7
Release:        5.2
Summary:        Zope Exceptions
License:        ZPL-2.1
Group:          Development/Languages/Python
Url:            http://cheeseshop.python.org/pypi/zope.exceptions
Source:         http://pypi.python.org/packages/source/z/zope.exceptions/zope.exceptions-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
# Documentation requirements:
BuildRequires:  python-Sphinx
BuildRequires:  python-repoze.sphinx.autointerface
# Test result in a dependency loop
# Test requirements:
# BuildRequires:  python-six
# BuildRequires:  python-zope.interface
# BuildRequires:  python-zope.testrunner
Requires:       python-zope.interface
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
This package contains exception interfaces and implementations which are so
general purpose that they don't belong in Zope application-specific packages.

%package doc
Summary:        Zope Exceptions
Group:          Development/Languages/Python
Requires:       %{name} = %{version}

%description doc
This package contains documentation files for %{name}.

%prep
%setup -q -n zope.exceptions-%{version}

%build
python setup.py build
PYTHONPATH=$(pwd)/build/lib python setup.py build_sphinx && rm build/sphinx/html/.buildinfo

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

# Test result in a dependency loop
#NOTE(saschpe): Tests are self-referential, i.e. move to sperarate spec file
#NOTE(frispete): run tests against source in order to avoid the need for an
#                external test package
# %check
# PYTHONPATH=$(pwd)/src python setup.py -q test

%files
%defattr(-,root,root,-)
%doc CHANGES.rst COPYRIGHT.txt LICENSE.txt README.rst
%{python_sitelib}/*

%files doc
%defattr(-,root,root,-)
%doc build/sphinx/html/

%changelog
* Thu Sep  3 2015 toddrme2178@gmail.com
- Disable tests to avoid dependency loop
* Fri May 15 2015 benoit.monin@gmx.fr
- update to version 4.0.7:
  * Added explicit support for Python 3.4.
  * Updated boostrap.py to version 2.2.
- switch the source archive to tar.gz (zip not available)
- remove unzip from BuildRequires
- pass -q to test to avoid spamming the build log
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Mon Jul 29 2013 hpj@urpla.net
- generate documentation in separate -doc file
- enable tests (run tests on source tree)
* Fri Mar 15 2013 speilicke@suse.com
- Initial version
